import { StepUI } from "@octopusdeploy/step-api";

export interface BlobStorageUploadInputs {
    testProperty: string;
}

export const BlobStorageStepUI: StepUI<BlobStorageUploadInputs> = {
    createInitialInputs: () => ({ testProperty: "" }),
    editInputsForm: (inputs, { text, section }) => [
        section({
            title: "Blob Storage",
            content: [text({ input: inputs.testProperty, helpText: "The Test Property", label: "Test Property" })],
        }),
    ],
};

export default BlobStorageStepUI;
