import { ValidateInputs } from "@octopusdeploy/step-api";
import Inputs from "./inputs";

const validation: ValidateInputs<Inputs> = (inputs, validate) => {
    return [
        validate(inputs.containerName, [], (containerName) => {
            if (!containerName) {
                return "A container name should be provided";
            }
            return undefined;
        }),
    ];
};

export default validation;
